# -*- coding: utf-8 -*-
from ppms.migration.packet import *

class UpdateExitField(SQLPacket):
    '''Remove a broken exit attribute that prevented a field from being filled'''
    wi_number = 10399
    version = 1
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    
    update_field = """UPDATE DT445 SET DI000099 = 0 WHERE DI000609 = '00000095'""" 
    
    def fix(self, runner):       
        self.modify_and_log(self.update_field)

        return self.success()

